# Copyright 2014-2017 Intel Corporation
# All Rights Reserved.
#
# If this  software was obtained  under the  Intel Simplified  Software License,
# the following terms apply:
#
# The source code,  information  and material  ("Material") contained  herein is
# owned by Intel Corporation or its  suppliers or licensors,  and  title to such
# Material remains with Intel  Corporation or its  suppliers or  licensors.  The
# Material  contains  proprietary  information  of  Intel or  its suppliers  and
# licensors.  The Material is protected by  worldwide copyright  laws and treaty
# provisions.  No part  of  the  Material   may  be  used,  copied,  reproduced,
# modified, published,  uploaded, posted, transmitted,  distributed or disclosed
# in any way without Intel's prior express written permission.  No license under
# any patent,  copyright or other  intellectual property rights  in the Material
# is granted to  or  conferred  upon  you,  either   expressly,  by implication,
# inducement,  estoppel  or  otherwise.  Any  license   under such  intellectual
# property rights must be express and approved by Intel in writing.
#
# Unless otherwise agreed by Intel in writing,  you may not remove or alter this
# notice or  any  other  notice   embedded  in  Materials  by  Intel  or Intel's
# suppliers or licensors in any way.
#
#
# If this  software  was obtained  under the  Apache License,  Version  2.0 (the
# "License"), the following terms apply:
#
# You may  not use this  file except  in compliance  with  the License.  You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless  required  by   applicable  law  or  agreed  to  in  writing,  software
# distributed under the License  is distributed  on an  "AS IS"  BASIS,  WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the   License  for the   specific  language   governing   permissions  and
# limitations under the License.


from sys import version_info
if version_info >= (2, 6, 0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_pca', [dirname(__file__)])
        except ImportError:
            import _pca
            return _pca
        if fp is not None:
            try:
                _mod = imp.load_module('_pca', fp, pathname, description)
            finally:
                fp.close()
            return _mod
    _pca = swig_import_helper()
    del swig_import_helper
else:
    import _pca
del version_info
try:
    _swig_property = property
except NameError:
    pass  # Python < 2.2 doesn't have 'property'.


def _swig_setattr_nondynamic(self, class_type, name, value, static=1):
    if (name == "thisown"):
        return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name, None)
    if method:
        return method(self, value)
    if (not static):
        if _newclass:
            object.__setattr__(self, name, value)
        else:
            self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)


def _swig_setattr(self, class_type, name, value):
    return _swig_setattr_nondynamic(self, class_type, name, value, 0)


def _swig_getattr_nondynamic(self, class_type, name, static=1):
    if (name == "thisown"):
        return self.this.own()
    method = class_type.__swig_getmethods__.get(name, None)
    if method:
        return method(self)
    if (not static):
        return object.__getattr__(self, name)
    else:
        raise AttributeError(name)

def _swig_getattr(self, class_type, name):
    return _swig_getattr_nondynamic(self, class_type, name, 0)


def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except AttributeError:
    class _object:
        pass
    _newclass = 0


import daal.algorithms
import daal.data_management
import daal
import daal.services
import daal.data_management.data_feature_utils
import daal.algorithms.covariance

_pca.correlationDense_swigconstant(_pca)
correlationDense = _pca.correlationDense

_pca.defaultDense_swigconstant(_pca)
defaultDense = _pca.defaultDense

_pca.svdDense_swigconstant(_pca)
svdDense = _pca.svdDense

_pca.data_swigconstant(_pca)
data = _pca.data

_pca.lastInputDatasetId_swigconstant(_pca)
lastInputDatasetId = _pca.lastInputDatasetId

_pca.correlation_swigconstant(_pca)
correlation = _pca.correlation

_pca.lastInputCorrelationId_swigconstant(_pca)
lastInputCorrelationId = _pca.lastInputCorrelationId

_pca.partialResults_swigconstant(_pca)
partialResults = _pca.partialResults

_pca.lastStep2MasterInputId_swigconstant(_pca)
lastStep2MasterInputId = _pca.lastStep2MasterInputId

_pca.nObservationsCorrelation_swigconstant(_pca)
nObservationsCorrelation = _pca.nObservationsCorrelation

_pca.crossProductCorrelation_swigconstant(_pca)
crossProductCorrelation = _pca.crossProductCorrelation

_pca.sumCorrelation_swigconstant(_pca)
sumCorrelation = _pca.sumCorrelation

_pca.lastPartialCorrelationResultId_swigconstant(_pca)
lastPartialCorrelationResultId = _pca.lastPartialCorrelationResultId

_pca.nObservationsSVD_swigconstant(_pca)
nObservationsSVD = _pca.nObservationsSVD

_pca.sumSVD_swigconstant(_pca)
sumSVD = _pca.sumSVD

_pca.sumSquaresSVD_swigconstant(_pca)
sumSquaresSVD = _pca.sumSquaresSVD

_pca.lastPartialSVDTableResultId_swigconstant(_pca)
lastPartialSVDTableResultId = _pca.lastPartialSVDTableResultId

_pca.auxiliaryData_swigconstant(_pca)
auxiliaryData = _pca.auxiliaryData

_pca.distributedInputs_swigconstant(_pca)
distributedInputs = _pca.distributedInputs

_pca.lastPartialSVDCollectionResultId_swigconstant(_pca)
lastPartialSVDCollectionResultId = _pca.lastPartialSVDCollectionResultId

_pca.eigenvalues_swigconstant(_pca)
eigenvalues = _pca.eigenvalues

_pca.eigenvectors_swigconstant(_pca)
eigenvectors = _pca.eigenvectors

_pca.lastResultId_swigconstant(_pca)
lastResultId = _pca.lastResultId
class InputIface(daal.algorithms.Input):
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Input]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, InputIface, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Input]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, InputIface, name)

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr

    def getNFeatures(self):
        return _pca.InputIface_getNFeatures(self)

    def isCorrelation(self):
        return _pca.InputIface_isCorrelation(self)
    __swig_destroy__ = _pca.delete_InputIface
    __del__ = lambda self: None
InputIface_swigregister = _pca.InputIface_swigregister
InputIface_swigregister(InputIface)

class Input(InputIface):
    __swig_setmethods__ = {}
    for _s in [InputIface]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Input, name, value)
    __swig_getmethods__ = {}
    for _s in [InputIface]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Input, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Input(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Input
    __del__ = lambda self: None

    def getDataset(self, id):
        return _pca.Input_getDataset(self, id)

    def setDataset(self, id, value):
        return _pca.Input_setDataset(self, id, value)

    def setCorrelation(self, id, value):
        return _pca.Input_setCorrelation(self, id, value)

    def getNFeatures(self):
        return _pca.Input_getNFeatures(self)

    def check(self, par, method):
        return _pca.Input_check(self, par, method)
Input_swigregister = _pca.Input_swigregister
Input_swigregister(Input)

class PartialResultBase(daal.algorithms.PartialResult):
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.PartialResult]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, PartialResultBase, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.PartialResult]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, PartialResultBase, name)

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr

    def getNFeatures(self):
        return _pca.PartialResultBase_getNFeatures(self)
    __swig_destroy__ = _pca.delete_PartialResultBase
    __del__ = lambda self: None
PartialResultBase_swigregister = _pca.PartialResultBase_swigregister
PartialResultBase_swigregister(PartialResultBase)

class Result(daal.algorithms.Result):
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Result]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Result, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Result]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Result, name)
    __repr__ = _swig_repr
    __swig_getmethods__["serializationTag"] = lambda x: _pca.Result_serializationTag
    if _newclass:
        serializationTag = staticmethod(_pca.Result_serializationTag)

    def getSerializationTag(self):
        return _pca.Result_getSerializationTag(self)

    def __init__(self):
        this = _pca.new_Result()
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Result
    __del__ = lambda self: None

    def get(self, id):
        return _pca.Result_get(self, id)

    def set(self, id, value):
        return _pca.Result_set(self, id, value)

    def check(self, *args):
        return _pca.Result_check(self, *args)

    def allocate_Float64(self, *args):
        r"""
This function is specialized for float64"""
        return _pca.Result_allocate_Float64(self, *args)


    def allocate_Float32(self, *args):
        r"""
This function is specialized for float32"""
        return _pca.Result_allocate_Float32(self, *args)

Result_swigregister = _pca.Result_swigregister
Result_swigregister(Result)

def Result_serializationTag():
    return _pca.Result_serializationTag()
Result_serializationTag = _pca.Result_serializationTag

class PartialResult_SvdDense(PartialResultBase):
    r"""
This class is an alias of PartialResult(method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [PartialResultBase]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, PartialResult_SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [PartialResultBase]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, PartialResult_SvdDense, name)
    __repr__ = _swig_repr
    __swig_getmethods__["serializationTag"] = lambda x: _pca.PartialResult_SvdDense_serializationTag
    if _newclass:
        serializationTag = staticmethod(_pca.PartialResult_SvdDense_serializationTag)

    def getSerializationTag(self):
        return _pca.PartialResult_SvdDense_getSerializationTag(self)

    def __init__(self):
        this = _pca.new_PartialResult_SvdDense()
        try:
            self.this.append(this)
        except:
            self.this = this

    def getSVDTable(self, id):
        return _pca.PartialResult_SvdDense_getSVDTable(self, id)

    def getNFeatures(self):
        return _pca.PartialResult_SvdDense_getNFeatures(self)

    def getSVDCollection(self, *args):
        return _pca.PartialResult_SvdDense_getSVDCollection(self, *args)

    def setSVDTable(self, id, value):
        return _pca.PartialResult_SvdDense_setSVDTable(self, id, value)

    def setSVDCollection(self, id, value):
        return _pca.PartialResult_SvdDense_setSVDCollection(self, id, value)

    def add(self, id, value):
        return _pca.PartialResult_SvdDense_add(self, id, value)

    def check(self, *args):
        return _pca.PartialResult_SvdDense_check(self, *args)
    __swig_destroy__ = _pca.delete_PartialResult_SvdDense
    __del__ = lambda self: None

    def initialize_Float32(self, input, parameter, method):
        return _pca.PartialResult_SvdDense_initialize_Float32(self, input, parameter, method)

    def initialize_Float64(self, input, parameter, method):
        return _pca.PartialResult_SvdDense_initialize_Float64(self, input, parameter, method)

    def allocate_Float32(self, input, parameter, method):
        return _pca.PartialResult_SvdDense_allocate_Float32(self, input, parameter, method)

    def allocate_Float64(self, input, parameter, method):
        return _pca.PartialResult_SvdDense_allocate_Float64(self, input, parameter, method)
PartialResult_SvdDense_swigregister = _pca.PartialResult_SvdDense_swigregister
PartialResult_SvdDense_swigregister(PartialResult_SvdDense)

def PartialResult_SvdDense_serializationTag():
    return _pca.PartialResult_SvdDense_serializationTag()
PartialResult_SvdDense_serializationTag = _pca.PartialResult_SvdDense_serializationTag

class PartialResult_CorrelationDense(PartialResultBase):
    r"""
This class is an alias of PartialResult(method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [PartialResultBase]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, PartialResult_CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [PartialResultBase]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, PartialResult_CorrelationDense, name)
    __repr__ = _swig_repr
    __swig_getmethods__["serializationTag"] = lambda x: _pca.PartialResult_CorrelationDense_serializationTag
    if _newclass:
        serializationTag = staticmethod(_pca.PartialResult_CorrelationDense_serializationTag)

    def getSerializationTag(self):
        return _pca.PartialResult_CorrelationDense_getSerializationTag(self)

    def __init__(self):
        this = _pca.new_PartialResult_CorrelationDense()
        try:
            self.this.append(this)
        except:
            self.this = this

    def get(self, id):
        return _pca.PartialResult_CorrelationDense_get(self, id)

    def getNFeatures(self):
        return _pca.PartialResult_CorrelationDense_getNFeatures(self)

    def set(self, id, value):
        return _pca.PartialResult_CorrelationDense_set(self, id, value)
    __swig_destroy__ = _pca.delete_PartialResult_CorrelationDense
    __del__ = lambda self: None

    def check(self, *args):
        return _pca.PartialResult_CorrelationDense_check(self, *args)

    def initialize_Float32(self, input, parameter, method):
        return _pca.PartialResult_CorrelationDense_initialize_Float32(self, input, parameter, method)

    def initialize_Float64(self, input, parameter, method):
        return _pca.PartialResult_CorrelationDense_initialize_Float64(self, input, parameter, method)

    def allocate_Float32(self, input, parameter, method):
        return _pca.PartialResult_CorrelationDense_allocate_Float32(self, input, parameter, method)

    def allocate_Float64(self, input, parameter, method):
        return _pca.PartialResult_CorrelationDense_allocate_Float64(self, input, parameter, method)
PartialResult_CorrelationDense_swigregister = _pca.PartialResult_CorrelationDense_swigregister
PartialResult_CorrelationDense_swigregister(PartialResult_CorrelationDense)

def PartialResult_CorrelationDense_serializationTag():
    return _pca.PartialResult_CorrelationDense_serializationTag()
PartialResult_CorrelationDense_serializationTag = _pca.PartialResult_CorrelationDense_serializationTag

class DistributedInput_SvdDense(InputIface):
    r"""
This class is an alias of DistributedInput(method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [InputIface]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedInput_SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [InputIface]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedInput_SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedInput_SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def set(self, id, ptr):
        return _pca.DistributedInput_SvdDense_set(self, id, ptr)

    def get(self, id):
        return _pca.DistributedInput_SvdDense_get(self, id)

    def add(self, id, value):
        return _pca.DistributedInput_SvdDense_add(self, id, value)

    def getPartialResult(self, id):
        return _pca.DistributedInput_SvdDense_getPartialResult(self, id)

    def check(self, parameter, method):
        return _pca.DistributedInput_SvdDense_check(self, parameter, method)

    def getNFeatures(self):
        return _pca.DistributedInput_SvdDense_getNFeatures(self)
    __swig_destroy__ = _pca.delete_DistributedInput_SvdDense
    __del__ = lambda self: None
DistributedInput_SvdDense_swigregister = _pca.DistributedInput_SvdDense_swigregister
DistributedInput_SvdDense_swigregister(DistributedInput_SvdDense)

class DistributedInput_CorrelationDense(InputIface):
    r"""
This class is an alias of DistributedInput(method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [InputIface]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedInput_CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [InputIface]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedInput_CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedInput_CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def set(self, id, ptr):
        return _pca.DistributedInput_CorrelationDense_set(self, id, ptr)

    def get(self, id):
        return _pca.DistributedInput_CorrelationDense_get(self, id)

    def getPartialResult(self, id):
        return _pca.DistributedInput_CorrelationDense_getPartialResult(self, id)

    def add(self, id, value):
        return _pca.DistributedInput_CorrelationDense_add(self, id, value)

    def getNFeatures(self):
        return _pca.DistributedInput_CorrelationDense_getNFeatures(self)

    def check(self, parameter, method):
        return _pca.DistributedInput_CorrelationDense_check(self, parameter, method)
    __swig_destroy__ = _pca.delete_DistributedInput_CorrelationDense
    __del__ = lambda self: None
DistributedInput_CorrelationDense_swigregister = _pca.DistributedInput_CorrelationDense_swigregister
DistributedInput_CorrelationDense_swigregister(DistributedInput_CorrelationDense)

class Batch_Float64SvdDense(daal.algorithms.Analysis_Batch):
    r"""
This class is an alias of Batch(fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Batch_Float64SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Batch_Float64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Batch_Float64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Batch_Float64SvdDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Batch_Float64SvdDense_getMethod(self)

    def setResult(self, res):
        return _pca.Batch_Float64SvdDense_setResult(self, res)

    def getResult(self):
        return _pca.Batch_Float64SvdDense_getResult(self)

    def clone(self):
        return _pca.Batch_Float64SvdDense_clone(self)
    __swig_setmethods__["input"] = _pca.Batch_Float64SvdDense_input_set
    __swig_getmethods__["input"] = _pca.Batch_Float64SvdDense_input_get
    if _newclass:
        input = _swig_property(_pca.Batch_Float64SvdDense_input_get, _pca.Batch_Float64SvdDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Batch_Float64SvdDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Batch_Float64SvdDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Batch_Float64SvdDense_parameter_get, _pca.Batch_Float64SvdDense_parameter_set)

    def compute(self):
        return _pca.Batch_Float64SvdDense_compute(self)
Batch_Float64SvdDense_swigregister = _pca.Batch_Float64SvdDense_swigregister
Batch_Float64SvdDense_swigregister(Batch_Float64SvdDense)

class Batch_Float64CorrelationDense(daal.algorithms.Analysis_Batch):
    r"""
This class is an alias of Batch(fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Batch_Float64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Batch_Float64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Batch_Float64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Batch_Float64CorrelationDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Batch_Float64CorrelationDense_getMethod(self)

    def setResult(self, res):
        return _pca.Batch_Float64CorrelationDense_setResult(self, res)

    def getResult(self):
        return _pca.Batch_Float64CorrelationDense_getResult(self)

    def clone(self):
        return _pca.Batch_Float64CorrelationDense_clone(self)
    __swig_setmethods__["input"] = _pca.Batch_Float64CorrelationDense_input_set
    __swig_getmethods__["input"] = _pca.Batch_Float64CorrelationDense_input_get
    if _newclass:
        input = _swig_property(_pca.Batch_Float64CorrelationDense_input_get, _pca.Batch_Float64CorrelationDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Batch_Float64CorrelationDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Batch_Float64CorrelationDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Batch_Float64CorrelationDense_parameter_get, _pca.Batch_Float64CorrelationDense_parameter_set)

    def compute(self):
        return _pca.Batch_Float64CorrelationDense_compute(self)
Batch_Float64CorrelationDense_swigregister = _pca.Batch_Float64CorrelationDense_swigregister
Batch_Float64CorrelationDense_swigregister(Batch_Float64CorrelationDense)

class Batch_Float32SvdDense(daal.algorithms.Analysis_Batch):
    r"""
This class is an alias of Batch(fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Batch_Float32SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Batch_Float32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Batch_Float32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Batch_Float32SvdDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Batch_Float32SvdDense_getMethod(self)

    def setResult(self, res):
        return _pca.Batch_Float32SvdDense_setResult(self, res)

    def getResult(self):
        return _pca.Batch_Float32SvdDense_getResult(self)

    def clone(self):
        return _pca.Batch_Float32SvdDense_clone(self)
    __swig_setmethods__["input"] = _pca.Batch_Float32SvdDense_input_set
    __swig_getmethods__["input"] = _pca.Batch_Float32SvdDense_input_get
    if _newclass:
        input = _swig_property(_pca.Batch_Float32SvdDense_input_get, _pca.Batch_Float32SvdDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Batch_Float32SvdDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Batch_Float32SvdDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Batch_Float32SvdDense_parameter_get, _pca.Batch_Float32SvdDense_parameter_set)

    def compute(self):
        return _pca.Batch_Float32SvdDense_compute(self)
Batch_Float32SvdDense_swigregister = _pca.Batch_Float32SvdDense_swigregister
Batch_Float32SvdDense_swigregister(Batch_Float32SvdDense)

class Batch_Float32CorrelationDense(daal.algorithms.Analysis_Batch):
    r"""
This class is an alias of Batch(fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Batch_Float32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Batch]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Batch_Float32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Batch_Float32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Batch_Float32CorrelationDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Batch_Float32CorrelationDense_getMethod(self)

    def setResult(self, res):
        return _pca.Batch_Float32CorrelationDense_setResult(self, res)

    def getResult(self):
        return _pca.Batch_Float32CorrelationDense_getResult(self)

    def clone(self):
        return _pca.Batch_Float32CorrelationDense_clone(self)
    __swig_setmethods__["input"] = _pca.Batch_Float32CorrelationDense_input_set
    __swig_getmethods__["input"] = _pca.Batch_Float32CorrelationDense_input_get
    if _newclass:
        input = _swig_property(_pca.Batch_Float32CorrelationDense_input_get, _pca.Batch_Float32CorrelationDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Batch_Float32CorrelationDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Batch_Float32CorrelationDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Batch_Float32CorrelationDense_parameter_get, _pca.Batch_Float32CorrelationDense_parameter_set)

    def compute(self):
        return _pca.Batch_Float32CorrelationDense_compute(self)
Batch_Float32CorrelationDense_swigregister = _pca.Batch_Float32CorrelationDense_swigregister
Batch_Float32CorrelationDense_swigregister(Batch_Float32CorrelationDense)

class BatchParameter_Float64SvdDense(_object):
    r"""
This class is an alias of BatchParameter(fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, BatchParameter_Float64SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, BatchParameter_Float64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_BatchParameter_Float64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_BatchParameter_Float64SvdDense
    __del__ = lambda self: None
BatchParameter_Float64SvdDense_swigregister = _pca.BatchParameter_Float64SvdDense_swigregister
BatchParameter_Float64SvdDense_swigregister(BatchParameter_Float64SvdDense)

class BatchParameter_Float64CorrelationDense(_object):
    r"""
This class is an alias of BatchParameter(fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, BatchParameter_Float64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, BatchParameter_Float64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_BatchParameter_Float64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_setmethods__["covariance"] = _pca.BatchParameter_Float64CorrelationDense_covariance_set
    __swig_getmethods__["covariance"] = _pca.BatchParameter_Float64CorrelationDense_covariance_get
    if _newclass:
        covariance = _swig_property(_pca.BatchParameter_Float64CorrelationDense_covariance_get, _pca.BatchParameter_Float64CorrelationDense_covariance_set)

    def check(self):
        return _pca.BatchParameter_Float64CorrelationDense_check(self)
    __swig_destroy__ = _pca.delete_BatchParameter_Float64CorrelationDense
    __del__ = lambda self: None
BatchParameter_Float64CorrelationDense_swigregister = _pca.BatchParameter_Float64CorrelationDense_swigregister
BatchParameter_Float64CorrelationDense_swigregister(BatchParameter_Float64CorrelationDense)

class BatchParameter_Float32SvdDense(_object):
    r"""
This class is an alias of BatchParameter(fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, BatchParameter_Float32SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, BatchParameter_Float32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_BatchParameter_Float32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_BatchParameter_Float32SvdDense
    __del__ = lambda self: None
BatchParameter_Float32SvdDense_swigregister = _pca.BatchParameter_Float32SvdDense_swigregister
BatchParameter_Float32SvdDense_swigregister(BatchParameter_Float32SvdDense)

class BatchParameter_Float32CorrelationDense(_object):
    r"""
This class is an alias of BatchParameter(fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, BatchParameter_Float32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, BatchParameter_Float32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_BatchParameter_Float32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_setmethods__["covariance"] = _pca.BatchParameter_Float32CorrelationDense_covariance_set
    __swig_getmethods__["covariance"] = _pca.BatchParameter_Float32CorrelationDense_covariance_get
    if _newclass:
        covariance = _swig_property(_pca.BatchParameter_Float32CorrelationDense_covariance_get, _pca.BatchParameter_Float32CorrelationDense_covariance_set)

    def check(self):
        return _pca.BatchParameter_Float32CorrelationDense_check(self)
    __swig_destroy__ = _pca.delete_BatchParameter_Float32CorrelationDense
    __del__ = lambda self: None
BatchParameter_Float32CorrelationDense_swigregister = _pca.BatchParameter_Float32CorrelationDense_swigregister
BatchParameter_Float32CorrelationDense_swigregister(BatchParameter_Float32CorrelationDense)

class Online_Float64SvdDense(daal.algorithms.Analysis_Online):
    r"""
This class is an alias of Online(fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Online_Float64SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Online_Float64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Online_Float64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Online_Float64SvdDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Online_Float64SvdDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Online_Float64SvdDense_setPartialResult(self, partialResult)

    def setResult(self, res):
        return _pca.Online_Float64SvdDense_setResult(self, res)

    def getPartialResult(self):
        return _pca.Online_Float64SvdDense_getPartialResult(self)

    def getResult(self):
        return _pca.Online_Float64SvdDense_getResult(self)

    def clone(self):
        return _pca.Online_Float64SvdDense_clone(self)
    __swig_setmethods__["input"] = _pca.Online_Float64SvdDense_input_set
    __swig_getmethods__["input"] = _pca.Online_Float64SvdDense_input_get
    if _newclass:
        input = _swig_property(_pca.Online_Float64SvdDense_input_get, _pca.Online_Float64SvdDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Online_Float64SvdDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Online_Float64SvdDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Online_Float64SvdDense_parameter_get, _pca.Online_Float64SvdDense_parameter_set)

    def compute(self):
        return _pca.Online_Float64SvdDense_compute(self)

    def finalizeCompute(self):
        return _pca.Online_Float64SvdDense_finalizeCompute(self)
Online_Float64SvdDense_swigregister = _pca.Online_Float64SvdDense_swigregister
Online_Float64SvdDense_swigregister(Online_Float64SvdDense)

class Online_Float64CorrelationDense(daal.algorithms.Analysis_Online):
    r"""
This class is an alias of Online(fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Online_Float64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Online_Float64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Online_Float64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Online_Float64CorrelationDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Online_Float64CorrelationDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Online_Float64CorrelationDense_setPartialResult(self, partialResult)

    def setResult(self, res):
        return _pca.Online_Float64CorrelationDense_setResult(self, res)

    def getPartialResult(self):
        return _pca.Online_Float64CorrelationDense_getPartialResult(self)

    def getResult(self):
        return _pca.Online_Float64CorrelationDense_getResult(self)

    def clone(self):
        return _pca.Online_Float64CorrelationDense_clone(self)
    __swig_setmethods__["input"] = _pca.Online_Float64CorrelationDense_input_set
    __swig_getmethods__["input"] = _pca.Online_Float64CorrelationDense_input_get
    if _newclass:
        input = _swig_property(_pca.Online_Float64CorrelationDense_input_get, _pca.Online_Float64CorrelationDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Online_Float64CorrelationDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Online_Float64CorrelationDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Online_Float64CorrelationDense_parameter_get, _pca.Online_Float64CorrelationDense_parameter_set)

    def compute(self):
        return _pca.Online_Float64CorrelationDense_compute(self)

    def finalizeCompute(self):
        return _pca.Online_Float64CorrelationDense_finalizeCompute(self)
Online_Float64CorrelationDense_swigregister = _pca.Online_Float64CorrelationDense_swigregister
Online_Float64CorrelationDense_swigregister(Online_Float64CorrelationDense)

class Online_Float32SvdDense(daal.algorithms.Analysis_Online):
    r"""
This class is an alias of Online(fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Online_Float32SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Online_Float32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Online_Float32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Online_Float32SvdDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Online_Float32SvdDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Online_Float32SvdDense_setPartialResult(self, partialResult)

    def setResult(self, res):
        return _pca.Online_Float32SvdDense_setResult(self, res)

    def getPartialResult(self):
        return _pca.Online_Float32SvdDense_getPartialResult(self)

    def getResult(self):
        return _pca.Online_Float32SvdDense_getResult(self)

    def clone(self):
        return _pca.Online_Float32SvdDense_clone(self)
    __swig_setmethods__["input"] = _pca.Online_Float32SvdDense_input_set
    __swig_getmethods__["input"] = _pca.Online_Float32SvdDense_input_get
    if _newclass:
        input = _swig_property(_pca.Online_Float32SvdDense_input_get, _pca.Online_Float32SvdDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Online_Float32SvdDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Online_Float32SvdDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Online_Float32SvdDense_parameter_get, _pca.Online_Float32SvdDense_parameter_set)

    def compute(self):
        return _pca.Online_Float32SvdDense_compute(self)

    def finalizeCompute(self):
        return _pca.Online_Float32SvdDense_finalizeCompute(self)
Online_Float32SvdDense_swigregister = _pca.Online_Float32SvdDense_swigregister
Online_Float32SvdDense_swigregister(Online_Float32SvdDense)

class Online_Float32CorrelationDense(daal.algorithms.Analysis_Online):
    r"""
This class is an alias of Online(fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Online_Float32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Online]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Online_Float32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Online_Float32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Online_Float32CorrelationDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Online_Float32CorrelationDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Online_Float32CorrelationDense_setPartialResult(self, partialResult)

    def setResult(self, res):
        return _pca.Online_Float32CorrelationDense_setResult(self, res)

    def getPartialResult(self):
        return _pca.Online_Float32CorrelationDense_getPartialResult(self)

    def getResult(self):
        return _pca.Online_Float32CorrelationDense_getResult(self)

    def clone(self):
        return _pca.Online_Float32CorrelationDense_clone(self)
    __swig_setmethods__["input"] = _pca.Online_Float32CorrelationDense_input_set
    __swig_getmethods__["input"] = _pca.Online_Float32CorrelationDense_input_get
    if _newclass:
        input = _swig_property(_pca.Online_Float32CorrelationDense_input_get, _pca.Online_Float32CorrelationDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Online_Float32CorrelationDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Online_Float32CorrelationDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Online_Float32CorrelationDense_parameter_get, _pca.Online_Float32CorrelationDense_parameter_set)

    def compute(self):
        return _pca.Online_Float32CorrelationDense_compute(self)

    def finalizeCompute(self):
        return _pca.Online_Float32CorrelationDense_finalizeCompute(self)
Online_Float32CorrelationDense_swigregister = _pca.Online_Float32CorrelationDense_swigregister
Online_Float32CorrelationDense_swigregister(Online_Float32CorrelationDense)

class OnlineParameter_Float64SvdDense(_object):
    r"""
This class is an alias of OnlineParameter(fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, OnlineParameter_Float64SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, OnlineParameter_Float64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_OnlineParameter_Float64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def check(self):
        return _pca.OnlineParameter_Float64SvdDense_check(self)
    __swig_destroy__ = _pca.delete_OnlineParameter_Float64SvdDense
    __del__ = lambda self: None
OnlineParameter_Float64SvdDense_swigregister = _pca.OnlineParameter_Float64SvdDense_swigregister
OnlineParameter_Float64SvdDense_swigregister(OnlineParameter_Float64SvdDense)

class OnlineParameter_Float64CorrelationDense(_object):
    r"""
This class is an alias of OnlineParameter(fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, OnlineParameter_Float64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, OnlineParameter_Float64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_OnlineParameter_Float64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_setmethods__["covariance"] = _pca.OnlineParameter_Float64CorrelationDense_covariance_set
    __swig_getmethods__["covariance"] = _pca.OnlineParameter_Float64CorrelationDense_covariance_get
    if _newclass:
        covariance = _swig_property(_pca.OnlineParameter_Float64CorrelationDense_covariance_get, _pca.OnlineParameter_Float64CorrelationDense_covariance_set)

    def check(self):
        return _pca.OnlineParameter_Float64CorrelationDense_check(self)
    __swig_destroy__ = _pca.delete_OnlineParameter_Float64CorrelationDense
    __del__ = lambda self: None
OnlineParameter_Float64CorrelationDense_swigregister = _pca.OnlineParameter_Float64CorrelationDense_swigregister
OnlineParameter_Float64CorrelationDense_swigregister(OnlineParameter_Float64CorrelationDense)

class OnlineParameter_Float32SvdDense(_object):
    r"""
This class is an alias of OnlineParameter(fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, OnlineParameter_Float32SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, OnlineParameter_Float32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_OnlineParameter_Float32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def check(self):
        return _pca.OnlineParameter_Float32SvdDense_check(self)
    __swig_destroy__ = _pca.delete_OnlineParameter_Float32SvdDense
    __del__ = lambda self: None
OnlineParameter_Float32SvdDense_swigregister = _pca.OnlineParameter_Float32SvdDense_swigregister
OnlineParameter_Float32SvdDense_swigregister(OnlineParameter_Float32SvdDense)

class OnlineParameter_Float32CorrelationDense(_object):
    r"""
This class is an alias of OnlineParameter(fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, OnlineParameter_Float32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, OnlineParameter_Float32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_OnlineParameter_Float32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_setmethods__["covariance"] = _pca.OnlineParameter_Float32CorrelationDense_covariance_set
    __swig_getmethods__["covariance"] = _pca.OnlineParameter_Float32CorrelationDense_covariance_get
    if _newclass:
        covariance = _swig_property(_pca.OnlineParameter_Float32CorrelationDense_covariance_get, _pca.OnlineParameter_Float32CorrelationDense_covariance_set)

    def check(self):
        return _pca.OnlineParameter_Float32CorrelationDense_check(self)
    __swig_destroy__ = _pca.delete_OnlineParameter_Float32CorrelationDense
    __del__ = lambda self: None
OnlineParameter_Float32CorrelationDense_swigregister = _pca.OnlineParameter_Float32CorrelationDense_swigregister
OnlineParameter_Float32CorrelationDense_swigregister(OnlineParameter_Float32CorrelationDense)

class Distributed_Step1LocalFloat64SvdDense(Online_Float64SvdDense):
    r"""
This class is an alias of Distributed(step=daal.step1Local, fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [Online_Float64SvdDense]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step1LocalFloat64SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [Online_Float64SvdDense]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step1LocalFloat64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step1LocalFloat64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def clone(self):
        return _pca.Distributed_Step1LocalFloat64SvdDense_clone(self)

    def compute(self):
        return _pca.Distributed_Step1LocalFloat64SvdDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step1LocalFloat64SvdDense_finalizeCompute(self)
    __swig_destroy__ = _pca.delete_Distributed_Step1LocalFloat64SvdDense
    __del__ = lambda self: None
Distributed_Step1LocalFloat64SvdDense_swigregister = _pca.Distributed_Step1LocalFloat64SvdDense_swigregister
Distributed_Step1LocalFloat64SvdDense_swigregister(Distributed_Step1LocalFloat64SvdDense)

class Distributed_Step1LocalFloat64CorrelationDense(Online_Float64CorrelationDense):
    r"""
This class is an alias of Distributed(step=daal.step1Local, fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [Online_Float64CorrelationDense]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step1LocalFloat64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [Online_Float64CorrelationDense]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step1LocalFloat64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step1LocalFloat64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def clone(self):
        return _pca.Distributed_Step1LocalFloat64CorrelationDense_clone(self)

    def compute(self):
        return _pca.Distributed_Step1LocalFloat64CorrelationDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step1LocalFloat64CorrelationDense_finalizeCompute(self)
    __swig_destroy__ = _pca.delete_Distributed_Step1LocalFloat64CorrelationDense
    __del__ = lambda self: None
Distributed_Step1LocalFloat64CorrelationDense_swigregister = _pca.Distributed_Step1LocalFloat64CorrelationDense_swigregister
Distributed_Step1LocalFloat64CorrelationDense_swigregister(Distributed_Step1LocalFloat64CorrelationDense)

class Distributed_Step1LocalFloat32SvdDense(Online_Float32SvdDense):
    r"""
This class is an alias of Distributed(step=daal.step1Local, fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [Online_Float32SvdDense]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step1LocalFloat32SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [Online_Float32SvdDense]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step1LocalFloat32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step1LocalFloat32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def clone(self):
        return _pca.Distributed_Step1LocalFloat32SvdDense_clone(self)

    def compute(self):
        return _pca.Distributed_Step1LocalFloat32SvdDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step1LocalFloat32SvdDense_finalizeCompute(self)
    __swig_destroy__ = _pca.delete_Distributed_Step1LocalFloat32SvdDense
    __del__ = lambda self: None
Distributed_Step1LocalFloat32SvdDense_swigregister = _pca.Distributed_Step1LocalFloat32SvdDense_swigregister
Distributed_Step1LocalFloat32SvdDense_swigregister(Distributed_Step1LocalFloat32SvdDense)

class Distributed_Step1LocalFloat32CorrelationDense(Online_Float32CorrelationDense):
    r"""
This class is an alias of Distributed(step=daal.step1Local, fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [Online_Float32CorrelationDense]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step1LocalFloat32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [Online_Float32CorrelationDense]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step1LocalFloat32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step1LocalFloat32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this

    def clone(self):
        return _pca.Distributed_Step1LocalFloat32CorrelationDense_clone(self)

    def compute(self):
        return _pca.Distributed_Step1LocalFloat32CorrelationDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step1LocalFloat32CorrelationDense_finalizeCompute(self)
    __swig_destroy__ = _pca.delete_Distributed_Step1LocalFloat32CorrelationDense
    __del__ = lambda self: None
Distributed_Step1LocalFloat32CorrelationDense_swigregister = _pca.Distributed_Step1LocalFloat32CorrelationDense_swigregister
Distributed_Step1LocalFloat32CorrelationDense_swigregister(Distributed_Step1LocalFloat32CorrelationDense)

class Distributed_Step2MasterFloat64SvdDense(daal.algorithms.Analysis_Distributed):
    r"""
This class is an alias of Distributed(step=daal.step2Master, fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step2MasterFloat64SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step2MasterFloat64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step2MasterFloat64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Distributed_Step2MasterFloat64SvdDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Distributed_Step2MasterFloat64SvdDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Distributed_Step2MasterFloat64SvdDense_setPartialResult(self, partialResult)

    def getPartialResult(self):
        return _pca.Distributed_Step2MasterFloat64SvdDense_getPartialResult(self)

    def setResult(self, res):
        return _pca.Distributed_Step2MasterFloat64SvdDense_setResult(self, res)

    def getResult(self):
        return _pca.Distributed_Step2MasterFloat64SvdDense_getResult(self)

    def clone(self):
        return _pca.Distributed_Step2MasterFloat64SvdDense_clone(self)
    __swig_setmethods__["input"] = _pca.Distributed_Step2MasterFloat64SvdDense_input_set
    __swig_getmethods__["input"] = _pca.Distributed_Step2MasterFloat64SvdDense_input_get
    if _newclass:
        input = _swig_property(_pca.Distributed_Step2MasterFloat64SvdDense_input_get, _pca.Distributed_Step2MasterFloat64SvdDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Distributed_Step2MasterFloat64SvdDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Distributed_Step2MasterFloat64SvdDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Distributed_Step2MasterFloat64SvdDense_parameter_get, _pca.Distributed_Step2MasterFloat64SvdDense_parameter_set)

    def compute(self):
        return _pca.Distributed_Step2MasterFloat64SvdDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step2MasterFloat64SvdDense_finalizeCompute(self)
Distributed_Step2MasterFloat64SvdDense_swigregister = _pca.Distributed_Step2MasterFloat64SvdDense_swigregister
Distributed_Step2MasterFloat64SvdDense_swigregister(Distributed_Step2MasterFloat64SvdDense)

class Distributed_Step2MasterFloat64CorrelationDense(daal.algorithms.Analysis_Distributed):
    r"""
This class is an alias of Distributed(step=daal.step2Master, fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step2MasterFloat64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step2MasterFloat64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step2MasterFloat64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Distributed_Step2MasterFloat64CorrelationDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_setPartialResult(self, partialResult)

    def getPartialResult(self):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_getPartialResult(self)

    def setResult(self, res):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_setResult(self, res)

    def getResult(self):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_getResult(self)

    def clone(self):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_clone(self)
    __swig_setmethods__["input"] = _pca.Distributed_Step2MasterFloat64CorrelationDense_input_set
    __swig_getmethods__["input"] = _pca.Distributed_Step2MasterFloat64CorrelationDense_input_get
    if _newclass:
        input = _swig_property(_pca.Distributed_Step2MasterFloat64CorrelationDense_input_get, _pca.Distributed_Step2MasterFloat64CorrelationDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Distributed_Step2MasterFloat64CorrelationDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Distributed_Step2MasterFloat64CorrelationDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Distributed_Step2MasterFloat64CorrelationDense_parameter_get, _pca.Distributed_Step2MasterFloat64CorrelationDense_parameter_set)

    def compute(self):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step2MasterFloat64CorrelationDense_finalizeCompute(self)
Distributed_Step2MasterFloat64CorrelationDense_swigregister = _pca.Distributed_Step2MasterFloat64CorrelationDense_swigregister
Distributed_Step2MasterFloat64CorrelationDense_swigregister(Distributed_Step2MasterFloat64CorrelationDense)

class Distributed_Step2MasterFloat32SvdDense(daal.algorithms.Analysis_Distributed):
    r"""
This class is an alias of Distributed(step=daal.step2Master, fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step2MasterFloat32SvdDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step2MasterFloat32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step2MasterFloat32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Distributed_Step2MasterFloat32SvdDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Distributed_Step2MasterFloat32SvdDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Distributed_Step2MasterFloat32SvdDense_setPartialResult(self, partialResult)

    def getPartialResult(self):
        return _pca.Distributed_Step2MasterFloat32SvdDense_getPartialResult(self)

    def setResult(self, res):
        return _pca.Distributed_Step2MasterFloat32SvdDense_setResult(self, res)

    def getResult(self):
        return _pca.Distributed_Step2MasterFloat32SvdDense_getResult(self)

    def clone(self):
        return _pca.Distributed_Step2MasterFloat32SvdDense_clone(self)
    __swig_setmethods__["input"] = _pca.Distributed_Step2MasterFloat32SvdDense_input_set
    __swig_getmethods__["input"] = _pca.Distributed_Step2MasterFloat32SvdDense_input_get
    if _newclass:
        input = _swig_property(_pca.Distributed_Step2MasterFloat32SvdDense_input_get, _pca.Distributed_Step2MasterFloat32SvdDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Distributed_Step2MasterFloat32SvdDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Distributed_Step2MasterFloat32SvdDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Distributed_Step2MasterFloat32SvdDense_parameter_get, _pca.Distributed_Step2MasterFloat32SvdDense_parameter_set)

    def compute(self):
        return _pca.Distributed_Step2MasterFloat32SvdDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step2MasterFloat32SvdDense_finalizeCompute(self)
Distributed_Step2MasterFloat32SvdDense_swigregister = _pca.Distributed_Step2MasterFloat32SvdDense_swigregister
Distributed_Step2MasterFloat32SvdDense_swigregister(Distributed_Step2MasterFloat32SvdDense)

class Distributed_Step2MasterFloat32CorrelationDense(daal.algorithms.Analysis_Distributed):
    r"""
This class is an alias of Distributed(step=daal.step2Master, fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_setmethods__.update(getattr(_s, '__swig_setmethods__', {}))
    __setattr__ = lambda self, name, value: _swig_setattr(self, Distributed_Step2MasterFloat32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    for _s in [daal.algorithms.Analysis_Distributed]:
        __swig_getmethods__.update(getattr(_s, '__swig_getmethods__', {}))
    __getattr__ = lambda self, name: _swig_getattr(self, Distributed_Step2MasterFloat32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_Distributed_Step2MasterFloat32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_Distributed_Step2MasterFloat32CorrelationDense
    __del__ = lambda self: None

    def getMethod(self):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_getMethod(self)

    def setPartialResult(self, partialResult):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_setPartialResult(self, partialResult)

    def getPartialResult(self):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_getPartialResult(self)

    def setResult(self, res):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_setResult(self, res)

    def getResult(self):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_getResult(self)

    def clone(self):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_clone(self)
    __swig_setmethods__["input"] = _pca.Distributed_Step2MasterFloat32CorrelationDense_input_set
    __swig_getmethods__["input"] = _pca.Distributed_Step2MasterFloat32CorrelationDense_input_get
    if _newclass:
        input = _swig_property(_pca.Distributed_Step2MasterFloat32CorrelationDense_input_get, _pca.Distributed_Step2MasterFloat32CorrelationDense_input_set)
    __swig_setmethods__["parameter"] = _pca.Distributed_Step2MasterFloat32CorrelationDense_parameter_set
    __swig_getmethods__["parameter"] = _pca.Distributed_Step2MasterFloat32CorrelationDense_parameter_get
    if _newclass:
        parameter = _swig_property(_pca.Distributed_Step2MasterFloat32CorrelationDense_parameter_get, _pca.Distributed_Step2MasterFloat32CorrelationDense_parameter_set)

    def compute(self):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_compute(self)

    def finalizeCompute(self):
        return _pca.Distributed_Step2MasterFloat32CorrelationDense_finalizeCompute(self)
Distributed_Step2MasterFloat32CorrelationDense_swigregister = _pca.Distributed_Step2MasterFloat32CorrelationDense_swigregister
Distributed_Step2MasterFloat32CorrelationDense_swigregister(Distributed_Step2MasterFloat32CorrelationDense)

class DistributedParameter_Step1LocalFloat64SvdDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step1Local, fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step1LocalFloat64SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step1LocalFloat64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step1LocalFloat64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_DistributedParameter_Step1LocalFloat64SvdDense
    __del__ = lambda self: None
DistributedParameter_Step1LocalFloat64SvdDense_swigregister = _pca.DistributedParameter_Step1LocalFloat64SvdDense_swigregister
DistributedParameter_Step1LocalFloat64SvdDense_swigregister(DistributedParameter_Step1LocalFloat64SvdDense)

class DistributedParameter_Step1LocalFloat64CorrelationDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step1Local, fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step1LocalFloat64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step1LocalFloat64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step1LocalFloat64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_DistributedParameter_Step1LocalFloat64CorrelationDense
    __del__ = lambda self: None
DistributedParameter_Step1LocalFloat64CorrelationDense_swigregister = _pca.DistributedParameter_Step1LocalFloat64CorrelationDense_swigregister
DistributedParameter_Step1LocalFloat64CorrelationDense_swigregister(DistributedParameter_Step1LocalFloat64CorrelationDense)

class DistributedParameter_Step1LocalFloat32SvdDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step1Local, fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step1LocalFloat32SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step1LocalFloat32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step1LocalFloat32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_DistributedParameter_Step1LocalFloat32SvdDense
    __del__ = lambda self: None
DistributedParameter_Step1LocalFloat32SvdDense_swigregister = _pca.DistributedParameter_Step1LocalFloat32SvdDense_swigregister
DistributedParameter_Step1LocalFloat32SvdDense_swigregister(DistributedParameter_Step1LocalFloat32SvdDense)

class DistributedParameter_Step1LocalFloat32CorrelationDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step1Local, fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step1LocalFloat32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step1LocalFloat32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step1LocalFloat32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_DistributedParameter_Step1LocalFloat32CorrelationDense
    __del__ = lambda self: None
DistributedParameter_Step1LocalFloat32CorrelationDense_swigregister = _pca.DistributedParameter_Step1LocalFloat32CorrelationDense_swigregister
DistributedParameter_Step1LocalFloat32CorrelationDense_swigregister(DistributedParameter_Step1LocalFloat32CorrelationDense)

class DistributedParameter_Step2MasterFloat64SvdDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step2Master, fptype=float64, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step2MasterFloat64SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step2MasterFloat64SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step2MasterFloat64SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_DistributedParameter_Step2MasterFloat64SvdDense
    __del__ = lambda self: None
DistributedParameter_Step2MasterFloat64SvdDense_swigregister = _pca.DistributedParameter_Step2MasterFloat64SvdDense_swigregister
DistributedParameter_Step2MasterFloat64SvdDense_swigregister(DistributedParameter_Step2MasterFloat64SvdDense)

class DistributedParameter_Step2MasterFloat64CorrelationDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step2Master, fptype=float64, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step2MasterFloat64CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step2MasterFloat64CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step2MasterFloat64CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_setmethods__["covariance"] = _pca.DistributedParameter_Step2MasterFloat64CorrelationDense_covariance_set
    __swig_getmethods__["covariance"] = _pca.DistributedParameter_Step2MasterFloat64CorrelationDense_covariance_get
    if _newclass:
        covariance = _swig_property(_pca.DistributedParameter_Step2MasterFloat64CorrelationDense_covariance_get, _pca.DistributedParameter_Step2MasterFloat64CorrelationDense_covariance_set)

    def check(self):
        return _pca.DistributedParameter_Step2MasterFloat64CorrelationDense_check(self)
    __swig_destroy__ = _pca.delete_DistributedParameter_Step2MasterFloat64CorrelationDense
    __del__ = lambda self: None
DistributedParameter_Step2MasterFloat64CorrelationDense_swigregister = _pca.DistributedParameter_Step2MasterFloat64CorrelationDense_swigregister
DistributedParameter_Step2MasterFloat64CorrelationDense_swigregister(DistributedParameter_Step2MasterFloat64CorrelationDense)

class DistributedParameter_Step2MasterFloat32SvdDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step2Master, fptype=float32, method=daal.algorithms.pca.svdDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step2MasterFloat32SvdDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step2MasterFloat32SvdDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step2MasterFloat32SvdDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_destroy__ = _pca.delete_DistributedParameter_Step2MasterFloat32SvdDense
    __del__ = lambda self: None
DistributedParameter_Step2MasterFloat32SvdDense_swigregister = _pca.DistributedParameter_Step2MasterFloat32SvdDense_swigregister
DistributedParameter_Step2MasterFloat32SvdDense_swigregister(DistributedParameter_Step2MasterFloat32SvdDense)

class DistributedParameter_Step2MasterFloat32CorrelationDense(_object):
    r"""
This class is an alias of DistributedParameter(step=daal.step2Master, fptype=float32, method=daal.algorithms.pca.correlationDense)
    """
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, DistributedParameter_Step2MasterFloat32CorrelationDense, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, DistributedParameter_Step2MasterFloat32CorrelationDense, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _pca.new_DistributedParameter_Step2MasterFloat32CorrelationDense(*args)
        try:
            self.this.append(this)
        except:
            self.this = this
    __swig_setmethods__["covariance"] = _pca.DistributedParameter_Step2MasterFloat32CorrelationDense_covariance_set
    __swig_getmethods__["covariance"] = _pca.DistributedParameter_Step2MasterFloat32CorrelationDense_covariance_get
    if _newclass:
        covariance = _swig_property(_pca.DistributedParameter_Step2MasterFloat32CorrelationDense_covariance_get, _pca.DistributedParameter_Step2MasterFloat32CorrelationDense_covariance_set)

    def check(self):
        return _pca.DistributedParameter_Step2MasterFloat32CorrelationDense_check(self)
    __swig_destroy__ = _pca.delete_DistributedParameter_Step2MasterFloat32CorrelationDense
    __del__ = lambda self: None
DistributedParameter_Step2MasterFloat32CorrelationDense_swigregister = _pca.DistributedParameter_Step2MasterFloat32CorrelationDense_swigregister
DistributedParameter_Step2MasterFloat32CorrelationDense_swigregister(DistributedParameter_Step2MasterFloat32CorrelationDense)

from numpy import float64, float32, intc

class OnlineParameter(object):
    r"""Factory class for different types of OnlineParameter."""
    def __new__(cls,
                fptype,
                method,
                *args, **kwargs):
        if fptype == float64:
            if method == svdDense:
                return OnlineParameter_Float64SvdDense(*args)
            if method == correlationDense:
                return OnlineParameter_Float64CorrelationDense(*args)
        if fptype == float32:
            if method == svdDense:
                return OnlineParameter_Float32SvdDense(*args)
            if method == correlationDense:
                return OnlineParameter_Float32CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for OnlineParameter")

class BatchParameter(object):
    r"""Factory class for different types of BatchParameter."""
    def __new__(cls,
                fptype,
                method,
                *args, **kwargs):
        if fptype == float64:
            if method == svdDense:
                return BatchParameter_Float64SvdDense(*args)
            if method == correlationDense:
                return BatchParameter_Float64CorrelationDense(*args)
        if fptype == float32:
            if method == svdDense:
                return BatchParameter_Float32SvdDense(*args)
            if method == correlationDense:
                return BatchParameter_Float32CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for BatchParameter")

class DistributedParameter(object):
    r"""Factory class for different types of DistributedParameter."""
    def __new__(cls,
                step,
                fptype,
                method,
                *args, **kwargs):
        if step == daal.step1Local:
            if fptype == float64:
                    if method == svdDense:
                        return DistributedParameter_Step1LocalFloat64SvdDense(*args)
                    if method == correlationDense:
                        return DistributedParameter_Step1LocalFloat64CorrelationDense(*args)
            if fptype == float32:
                    if method == svdDense:
                        return DistributedParameter_Step1LocalFloat32SvdDense(*args)
                    if method == correlationDense:
                        return DistributedParameter_Step1LocalFloat32CorrelationDense(*args)
        if step == daal.step2Master:
            if fptype == float64:
                    if method == svdDense:
                        return DistributedParameter_Step2MasterFloat64SvdDense(*args)
                    if method == correlationDense:
                        return DistributedParameter_Step2MasterFloat64CorrelationDense(*args)
            if fptype == float32:
                    if method == svdDense:
                        return DistributedParameter_Step2MasterFloat32SvdDense(*args)
                    if method == correlationDense:
                        return DistributedParameter_Step2MasterFloat32CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for DistributedParameter")

class PartialResult(object):
    r"""Factory class for different types of PartialResult."""
    def __new__(cls,
                method,
                *args, **kwargs):
        if method == svdDense:
            return PartialResult_SvdDense(*args)
        if method == correlationDense:
            return PartialResult_CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for PartialResult")

class Online(object):
    r"""Factory class for different types of Online."""
    def __new__(cls,
                *args, **kwargs):
        if 'fptype' not in kwargs or kwargs['fptype'] == float64:
            if 'method' in kwargs and kwargs['method'] == svdDense:
                return Online_Float64SvdDense(*args)
            if 'method' not in kwargs or kwargs['method'] == correlationDense:
                return Online_Float64CorrelationDense(*args)
        if 'fptype' in kwargs and kwargs['fptype'] == float32:
            if 'method' in kwargs and kwargs['method'] == svdDense:
                return Online_Float32SvdDense(*args)
            if 'method' not in kwargs or kwargs['method'] == correlationDense:
                return Online_Float32CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for Online")

class DistributedInput(object):
    r"""Factory class for different types of DistributedInput."""
    def __new__(cls,
                method,
                *args, **kwargs):
        if method == svdDense:
            return DistributedInput_SvdDense(*args)
        if method == correlationDense:
            return DistributedInput_CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for DistributedInput")

class Distributed(object):
    r"""Factory class for different types of Distributed."""
    def __new__(cls,
                step,
                *args, **kwargs):
        if step == daal.step1Local:
            if 'fptype' not in kwargs or kwargs['fptype'] == float64:
                    if 'method' in kwargs and kwargs['method'] == svdDense:
                        return Distributed_Step1LocalFloat64SvdDense(*args)
                    if 'method' not in kwargs or kwargs['method'] == correlationDense:
                        return Distributed_Step1LocalFloat64CorrelationDense(*args)
            if 'fptype' in kwargs and kwargs['fptype'] == float32:
                    if 'method' in kwargs and kwargs['method'] == svdDense:
                        return Distributed_Step1LocalFloat32SvdDense(*args)
                    if 'method' not in kwargs or kwargs['method'] == correlationDense:
                        return Distributed_Step1LocalFloat32CorrelationDense(*args)
        if step == daal.step2Master:
            if 'fptype' not in kwargs or kwargs['fptype'] == float64:
                    if 'method' in kwargs and kwargs['method'] == svdDense:
                        return Distributed_Step2MasterFloat64SvdDense(*args)
                    if 'method' not in kwargs or kwargs['method'] == correlationDense:
                        return Distributed_Step2MasterFloat64CorrelationDense(*args)
            if 'fptype' in kwargs and kwargs['fptype'] == float32:
                    if 'method' in kwargs and kwargs['method'] == svdDense:
                        return Distributed_Step2MasterFloat32SvdDense(*args)
                    if 'method' not in kwargs or kwargs['method'] == correlationDense:
                        return Distributed_Step2MasterFloat32CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for Distributed")

class Batch(object):
    r"""Factory class for different types of Batch."""
    def __new__(cls,
                *args, **kwargs):
        if 'fptype' not in kwargs or kwargs['fptype'] == float64:
            if 'method' in kwargs and kwargs['method'] == svdDense:
                return Batch_Float64SvdDense(*args)
            if 'method' not in kwargs or kwargs['method'] == correlationDense:
                return Batch_Float64CorrelationDense(*args)
        if 'fptype' in kwargs and kwargs['fptype'] == float32:
            if 'method' in kwargs and kwargs['method'] == svdDense:
                return Batch_Float32SvdDense(*args)
            if 'method' not in kwargs or kwargs['method'] == correlationDense:
                return Batch_Float32CorrelationDense(*args)

        raise RuntimeError("No appropriate constructor found for Batch")


# This file is compatible with both classic and new-style classes.


